<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>ConfigManager</name>
    <filename>classConfigManager.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>commit</name>
      <anchor>a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>rollback</name>
      <anchor>a1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>hasPendingChanges</name>
      <anchor>a2</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ConfigManager</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCursorSaver</name>
    <filename>classKCursorSaver.html</filename>
    <member kind="function">
      <type></type>
      <name>KCursorSaver</name>
      <anchor>a0</anchor>
      <arglist>(Qt::CursorShape shape)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCursorSaver</name>
      <anchor>a1</anchor>
      <arglist>(const KCursorSaver &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCursorSaver</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreCursor</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>operator=</name>
      <anchor>b0</anchor>
      <arglist>(const KCursorSaver &amp;rhs)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IdentityCombo</name>
    <filename>classIdentityCombo.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotIdentityManagerChanged</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>identityChanged</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>identityChanged</name>
      <anchor>l1</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdentityCombo</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentIdentityName</name>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>currentIdentity</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchor>a4</anchor>
      <arglist>(const KMIdentity &amp;identity)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchor>a5</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEmitChanged</name>
      <anchor>j0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadCombo</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadUoidList</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; uint &gt;</type>
      <name>mUoidList</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IdentityManager</name>
    <filename>classIdentityManager.html</filename>
    <base>ConfigManager</base>
    <member kind="typedef">
      <type>QValueList&lt; KMIdentity &gt;::Iterator</type>
      <name>Iterator</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QValueList&lt; KMIdentity &gt;::ConstIterator</type>
      <name>ConstIterator</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l1</anchor>
      <arglist>(const KMIdentity &amp;ident)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deleted</name>
      <anchor>l2</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>added</name>
      <anchor>l3</anchor>
      <arglist>(const KMIdentity &amp;ident)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>commit</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rollback</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasPendingChanges</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>identities</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>shadowIdentities</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sort</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const KMIdentity &amp;</type>
      <name>identityForAddress</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;addresses) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>thatIsMe</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;addressList) const </arglist>
    </member>
    <member kind="function">
      <type>const KMIdentity &amp;</type>
      <name>identityForName</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;identityName) const </arglist>
    </member>
    <member kind="function">
      <type>const KMIdentity &amp;</type>
      <name>identityForUoid</name>
      <anchor>a9</anchor>
      <arglist>(uint uoid) const </arglist>
    </member>
    <member kind="function">
      <type>const KMIdentity &amp;</type>
      <name>identityForNameOrDefault</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;identityName) const </arglist>
    </member>
    <member kind="function">
      <type>const KMIdentity &amp;</type>
      <name>identityForUoidOrDefault</name>
      <anchor>a11</anchor>
      <arglist>(uint uoid) const </arglist>
    </member>
    <member kind="function">
      <type>const KMIdentity &amp;</type>
      <name>defaultIdentity</name>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setAsDefault</name>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setAsDefault</name>
      <anchor>a14</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type>KMIdentity &amp;</type>
      <name>identityForName</name>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>KMIdentity &amp;</type>
      <name>identityForUoid</name>
      <anchor>a16</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeIdentity</name>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>ConstIterator</type>
      <name>begin</name>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ConstIterator</type>
      <name>end</name>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>begin</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>end</name>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KMIdentity &amp;</type>
      <name>newFromScratch</name>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>KMIdentity &amp;</type>
      <name>newFromControlCenter</name>
      <anchor>a23</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>KMIdentity &amp;</type>
      <name>newFromExisting</name>
      <anchor>a24</anchor>
      <arglist>(const KMIdentity &amp;other, const QString &amp;name=QString::null)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>IdentityManager</name>
      <anchor>b0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; KMIdentity &gt;</type>
      <name>mIdentities</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; KMIdentity &gt;</type>
      <name>mShadowIdentities</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMAcctExpPop</name>
    <filename>classKMAcctExpPop.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>init</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KIO::MetaData</type>
      <name>slaveConfig</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>pseudoAssign</name>
      <anchor>a3</anchor>
      <arglist>(const KMAccount *a)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>protocol</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual unsigned short int</type>
      <name>defaultPort</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>usePipelining</name>
      <anchor>a6</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setUsePipelining</name>
      <anchor>a7</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>leaveOnServer</name>
      <anchor>a8</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setLeaveOnServer</name>
      <anchor>a9</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>filterOnServer</name>
      <anchor>a10</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setFilterOnServer</name>
      <anchor>a11</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>filterOnServerCheckSize</name>
      <anchor>a12</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setFilterOnServerCheckSize</name>
      <anchor>a13</anchor>
      <arglist>(unsigned int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>type</name>
      <anchor>a14</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchor>a15</anchor>
      <arglist>(KConfig &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchor>a16</anchor>
      <arglist>(KConfig &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processNewMail</name>
      <anchor>a17</anchor>
      <arglist>(bool _interactive)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>killAllJobs</name>
      <anchor>a18</anchor>
      <arglist>(bool disconnectSlave=false)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotProcessPendingMsgs</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotGetNextMsg</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMsgRetrieved</name>
      <anchor>j2</anchor>
      <arglist>(KIO::Job *, const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotData</name>
      <anchor>j3</anchor>
      <arglist>(KIO::Job *, const QByteArray &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotResult</name>
      <anchor>j4</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotCancel</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAbortRequested</name>
      <anchor>j6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotJobFinished</name>
      <anchor>j7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSlaveError</name>
      <anchor>j8</anchor>
      <arglist>(KIO::Slave *, int, const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotGetNextHdr</name>
      <anchor>j9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KMAcctExpPop</name>
      <anchor>b0</anchor>
      <arglist>(KMAcctMgr *owner, const QString &amp;accountName)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>startJob</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectJob</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>processRemainingQueuedMessagesAndSaveUidList</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mUsePipelining</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mLeaveOnServer</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>gotMsgs</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mFilterOnServer</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mFilterOnServerCheckSize</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIO::SimpleJob *</type>
      <name>job</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>idsOfMsgsPendingDownload</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; int &gt;</type>
      <name>lensOfMsgsPendingDownload</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; KMPopHeaders &gt;</type>
      <name>headersOnServer</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrListIterator&lt; KMPopHeaders &gt;</type>
      <name>headerIt</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>headers</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>headerDeleteUids</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>headerDownUids</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>headerLaterUids</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>idsOfMsgs</name>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; int &gt;</type>
      <name>lensOfMsgs</name>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>uidsOfMsgs</name>
      <anchor>p16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>uidsOfSeenMsgs</name>
      <anchor>p17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>uidsOfNextSeenMsgs</name>
      <anchor>p18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>idsOfMsgsToDelete</name>
      <anchor>p19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>indexOfCurrentMsg</name>
      <anchor>p20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; KMMessage * &gt;</type>
      <name>msgsAwaitingProcessing</name>
      <anchor>p21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>msgIdsAwaitingProcessing</name>
      <anchor>p22</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>msgUidsAwaitingProcessing</name>
      <anchor>p23</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QByteArray</type>
      <name>curMsgData</name>
      <anchor>p24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QDataStream *</type>
      <name>curMsgStrm</name>
      <anchor>p25</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>curMsgLen</name>
      <anchor>p26</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>stage</name>
      <anchor>p27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QTimer</type>
      <name>processMsgsTimer</name>
      <anchor>p28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QTimer *</type>
      <name>ss</name>
      <anchor>p29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>processingDelay</name>
      <anchor>p30</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>numMsgs</name>
      <anchor>p31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>numBytes</name>
      <anchor>p32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>numBytesToRead</name>
      <anchor>p33</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>numBytesRead</name>
      <anchor>p34</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>numMsgBytesRead</name>
      <anchor>p35</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>interactive</name>
      <anchor>p36</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mProcessing</name>
      <anchor>p37</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mUidlFinished</name>
      <anchor>p38</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>dataCounter</name>
      <anchor>p39</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMAcctFolder</name>
    <filename>classKMAcctFolder.html</filename>
    <base>KMFolder</base>
    <member kind="function">
      <type>KMAccount *</type>
      <name>account</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>KMAccount *</type>
      <name>nextAccount</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAccount</name>
      <anchor>a2</anchor>
      <arglist>(KMAccount *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAccount</name>
      <anchor>a3</anchor>
      <arglist>(KMAccount *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearAccountList</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMAcctSelDlg</name>
    <filename>classKMAcctSelDlg.html</filename>
    <member kind="function">
      <type></type>
      <name>KMAcctSelDlg</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>selected</name>
      <anchor>a1</anchor>
      <arglist>(void) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MailComposerIface</name>
    <filename>classMailComposerIface.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>send</name>
      <anchor>z0</anchor>
      <arglist>(int how)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>addAttachment</name>
      <anchor>z1</anchor>
      <arglist>(KURL url, QString comment)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>setBody</name>
      <anchor>z2</anchor>
      <arglist>(QString body)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>addAttachment</name>
      <anchor>z3</anchor>
      <arglist>(const QString &amp;name, const QCString &amp;cte, const QByteArray &amp;data, const QCString &amp;type, const QCString &amp;subType, const QCString &amp;paramAttr, const QString &amp;paramValue, const QCString &amp;contDisp)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMailIface</name>
    <filename>classKMailIface.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>checkMail</name>
      <anchor>z0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>accounts</name>
      <anchor>z1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>checkAccount</name>
      <anchor>z2</anchor>
      <arglist>(const QString &amp;account)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>openReader</name>
      <anchor>z3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>openComposer</name>
      <anchor>z4</anchor>
      <arglist>(const QString &amp;to, const QString &amp;cc, const QString &amp;bcc, const QString &amp;subject, const QString &amp;body, int hidden, const KURL &amp;messageFile)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>openComposer</name>
      <anchor>z5</anchor>
      <arglist>(const QString &amp;to, const QString &amp;cc, const QString &amp;bcc, const QString &amp;subject, const QString &amp;body, int hidden, const KURL &amp;messageFile, const KURL &amp;attachURL)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>openComposer</name>
      <anchor>z6</anchor>
      <arglist>(const QString &amp;to, const QString &amp;cc, const QString &amp;bcc, const QString &amp;subject, const QString &amp;body, int hidden, const QString &amp;attachName, const QCString &amp;attachCte, const QCString &amp;attachData, const QCString &amp;attachType, const QCString &amp;attachSubType, const QCString &amp;attachParamAttr, const QString &amp;attachParamValue, const QCString &amp;attachContDisp)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual DCOPRef</type>
      <name>openComposer</name>
      <anchor>z7</anchor>
      <arglist>(const QString &amp;to, const QString &amp;cc, const QString &amp;bcc, const QString &amp;subject, const QString &amp;body, bool hidden)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>sendCertificate</name>
      <anchor>z8</anchor>
      <arglist>(const QString &amp;to, const QByteArray &amp;certData)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>compactAllFolders</name>
      <anchor>z9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>dcopAddMessage</name>
      <anchor>z10</anchor>
      <arglist>(const QString &amp;foldername, const QString &amp;messagefile)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>dcopAddMessage</name>
      <anchor>z11</anchor>
      <arglist>(const QString &amp;foldername, const KURL &amp;messagefile)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>requestAddresses</name>
      <anchor>z12</anchor>
      <arglist>(QString filename)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>storeAddresses</name>
      <anchor>z13</anchor>
      <arglist>(QString addresses, QStringList delUIDs)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>folderList</name>
      <anchor>z14</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual DCOPRef</type>
      <name>getFolder</name>
      <anchor>z15</anchor>
      <arglist>(const QString &amp;vpath)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>handleCommandLine</name>
      <anchor>z16</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_hidden</type>
      <name>__pad1__</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_hidden QString</type>
      <name>messageId</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMBroadcastStatus</name>
    <filename>classKMBroadcastStatus.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>requestAbort</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusMsg</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusProgressEnable</name>
      <anchor>l1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusProgressPercent</name>
      <anchor>l2</anchor>
      <arglist>(unsigned long)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resetRequested</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalAbortRequested</name>
      <anchor>l4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalUsingSSL</name>
      <anchor>l5</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusMsg</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusMsgWithTimestamp</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusMsgTransmissionCompleted</name>
      <anchor>a2</anchor>
      <arglist>(int numMessages, int numBytes=-1, int numBytesRead=-1, int numBytesToRead=-1, bool mLeaveOnServer=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusMsgTransmissionCompleted</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;account, int numMessages, int numBytes=-1, int numBytesRead=-1, int numBytesToRead=-1, bool mLeaveOnServer=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusProgressEnable</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;, bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusProgressPercent</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;, unsigned long)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUsingSSL</name>
      <anchor>a6</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>abortRequested</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>KMBroadcastStatus *</type>
      <name>instance</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>abortRequested_</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMap&lt; QString, unsigned long &gt;</type>
      <name>ids</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>KMBroadcastStatus *</type>
      <name>instance_</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterAction</name>
    <filename>classKMFilterAction.html</filename>
    <member kind="enumeration">
      <name>ReturnCode</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMFilterAction</name>
      <anchor>a0</anchor>
      <arglist>(const char *aName, const QString aLabel)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>label</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>name</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ReturnCode</type>
      <name>process</name>
      <anchor>a4</anchor>
      <arglist>(KMMessage *msg) const=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processAsync</name>
      <anchor>a5</anchor>
      <arglist>(KMMessage *msg) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>requiresBody</name>
      <anchor>a6</anchor>
      <arglist>(KMMsgBase *msgBase) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>createParamWidget</name>
      <anchor>a8</anchor>
      <arglist>(QWidget *parent) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applyParamWidgetValue</name>
      <anchor>a9</anchor>
      <arglist>(QWidget *paramWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setParamWidgetValue</name>
      <anchor>a10</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clearParamWidget</name>
      <anchor>a11</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>argsFromString</name>
      <anchor>a12</anchor>
      <arglist>(const QString argsStr)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const QString</type>
      <name>argsAsString</name>
      <anchor>a13</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>folderRemoved</name>
      <anchor>a14</anchor>
      <arglist>(KMFolder *aFolder, KMFolder *aNewFolder)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>KMFilterAction *</type>
      <name>newAction</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>tempOpenFolder</name>
      <anchor>e1</anchor>
      <arglist>(KMFolder *aFolder)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>sendMDN</name>
      <anchor>e2</anchor>
      <arglist>(KMMessage *msg, KMime::MDN::DispositionType d, const QValueList&lt; KMime::MDN::DispositionModifier &gt; &amp;m=QValueList&lt; KMime::MDN::DispositionModifier &gt;())</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KMFilterActionDesc</name>
    <filename>structKMFilterActionDesc.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>label</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KMFilterActionNewFunc</type>
      <name>create</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterActionDict</name>
    <filename>classKMFilterActionDict.html</filename>
    <member kind="function">
      <type>void</type>
      <name>insert</name>
      <anchor>a1</anchor>
      <arglist>(KMFilterActionNewFunc aNewFunc)</arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; KMFilterActionDesc &gt; &amp;</type>
      <name>list</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>init</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterActionWidget</name>
    <filename>classKMFilterActionWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>KMFilterActionWidget</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAction</name>
      <anchor>a1</anchor>
      <arglist>(const KMFilterAction *aAction)</arglist>
    </member>
    <member kind="function">
      <type>KMFilterAction *</type>
      <name>action</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterActionWithAddress</name>
    <filename>classKMFilterActionWithAddress.html</filename>
    <base>KMFilterActionWithString</base>
    <member kind="function">
      <type></type>
      <name>KMFilterActionWithAddress</name>
      <anchor>a0</anchor>
      <arglist>(const char *aName, const QString aLabel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>createParamWidget</name>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applyParamWidgetValue</name>
      <anchor>a2</anchor>
      <arglist>(QWidget *paramWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setParamWidgetValue</name>
      <anchor>a3</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clearParamWidget</name>
      <anchor>a4</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterActionWithFolder</name>
    <filename>classKMFilterActionWithFolder.html</filename>
    <base>KMFilterAction</base>
    <member kind="function">
      <type></type>
      <name>KMFilterActionWithFolder</name>
      <anchor>a0</anchor>
      <arglist>(const char *aName, const QString aLabel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>createParamWidget</name>
      <anchor>a2</anchor>
      <arglist>(QWidget *parent) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applyParamWidgetValue</name>
      <anchor>a3</anchor>
      <arglist>(QWidget *paramWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setParamWidgetValue</name>
      <anchor>a4</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clearParamWidget</name>
      <anchor>a5</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>argsFromString</name>
      <anchor>a6</anchor>
      <arglist>(const QString argsStr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString</type>
      <name>argsAsString</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>folderRemoved</name>
      <anchor>a8</anchor>
      <arglist>(KMFolder *aFolder, KMFolder *aNewFolder)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGuardedPtr&lt; KMFolder &gt;</type>
      <name>mFolder</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mFolderName</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterActionWithNone</name>
    <filename>classKMFilterActionWithNone.html</filename>
    <base>KMFilterAction</base>
    <member kind="function">
      <type></type>
      <name>KMFilterActionWithNone</name>
      <anchor>a0</anchor>
      <arglist>(const char *aName, const QString aLabel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>argsFromString</name>
      <anchor>a1</anchor>
      <arglist>(const QString)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString</type>
      <name>argsAsString</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterActionWithString</name>
    <filename>classKMFilterActionWithString.html</filename>
    <base>KMFilterAction</base>
    <member kind="function">
      <type></type>
      <name>KMFilterActionWithString</name>
      <anchor>a0</anchor>
      <arglist>(const char *aName, const QString aLabel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>createParamWidget</name>
      <anchor>a2</anchor>
      <arglist>(QWidget *parent) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applyParamWidgetValue</name>
      <anchor>a3</anchor>
      <arglist>(QWidget *paramWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setParamWidgetValue</name>
      <anchor>a4</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clearParamWidget</name>
      <anchor>a5</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>argsFromString</name>
      <anchor>a6</anchor>
      <arglist>(const QString argsStr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString</type>
      <name>argsAsString</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mParameter</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterActionWithStringList</name>
    <filename>classKMFilterActionWithStringList.html</filename>
    <base>KMFilterActionWithString</base>
    <member kind="function">
      <type></type>
      <name>KMFilterActionWithStringList</name>
      <anchor>a0</anchor>
      <arglist>(const char *aName, const QString aLabel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>createParamWidget</name>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applyParamWidgetValue</name>
      <anchor>a2</anchor>
      <arglist>(QWidget *paramWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setParamWidgetValue</name>
      <anchor>a3</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clearParamWidget</name>
      <anchor>a4</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>argsFromString</name>
      <anchor>a5</anchor>
      <arglist>(const QString argsStr)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>mParameterList</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterActionWithUOID</name>
    <filename>classKMFilterActionWithUOID.html</filename>
    <base>KMFilterAction</base>
    <member kind="function">
      <type></type>
      <name>KMFilterActionWithUOID</name>
      <anchor>a0</anchor>
      <arglist>(const char *aName, const QString aLabel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>argsFromString</name>
      <anchor>a2</anchor>
      <arglist>(const QString argsStr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString</type>
      <name>argsAsString</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mParameter</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterActionWithUrl</name>
    <filename>classKMFilterActionWithUrl.html</filename>
    <base>KMFilterAction</base>
    <member kind="function">
      <type></type>
      <name>KMFilterActionWithUrl</name>
      <anchor>a0</anchor>
      <arglist>(const char *aName, const QString aLabel)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>createParamWidget</name>
      <anchor>a3</anchor>
      <arglist>(QWidget *parent) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applyParamWidgetValue</name>
      <anchor>a4</anchor>
      <arglist>(QWidget *paramWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setParamWidgetValue</name>
      <anchor>a5</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clearParamWidget</name>
      <anchor>a6</anchor>
      <arglist>(QWidget *paramWidget) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>argsFromString</name>
      <anchor>a7</anchor>
      <arglist>(const QString argsStr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString</type>
      <name>argsAsString</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mParameter</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterDlg</name>
    <filename>classKMFilterDlg.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotFilterSelected</name>
      <anchor>i0</anchor>
      <arglist>(KMFilter *aFilter)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotActionChanged</name>
      <anchor>i1</anchor>
      <arglist>(const KMPopFilterAction aAction)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMFilterDlg</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool popFilter=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createFilter</name>
      <anchor>a1</anchor>
      <arglist>(const QCString &amp;field, const QString &amp;value)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApplicabilityChanged</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStopProcessingButtonToggled</name>
      <anchor>j1</anchor>
      <arglist>(bool aChecked)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotConfigureShortcutButtonToggled</name>
      <anchor>j2</anchor>
      <arglist>(bool aChecked)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFilterActionIconChanged</name>
      <anchor>j3</anchor>
      <arglist>(QString icon)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReset</name>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSaveSize</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFinished</name>
      <anchor>j6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMFilterListBox *</type>
      <name>mFilterList</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMSearchPatternEdit *</type>
      <name>mPatternEdit</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMFilterActionWidgetLister *</type>
      <name>mActionLister</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMPopFilterActionWidget *</type>
      <name>mActionGroup</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mApplyOnIn</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mApplyOnOut</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mApplyOnCtrlJ</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mStopProcessingHere</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mConfigureShortcut</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>mFilterActionLabel</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIconButton *</type>
      <name>mFilterActionIconButton</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGroupBox *</type>
      <name>mAdvOptsGroup</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QVGroupBox *</type>
      <name>mGlobalsBox</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mShowLaterBtn</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMFilter *</type>
      <name>mFilter</name>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>bPopFilter</name>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFilterListBox</name>
    <filename>classKMFilterListBox.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotUpdateFilterName</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotApplyFilterChanges</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotShowLaterToggled</name>
      <anchor>i2</anchor>
      <arglist>(bool aOn)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>filterSelected</name>
      <anchor>l0</anchor>
      <arglist>(KMFilter *filter)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resetWidgets</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMFilterListBox</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;title, QWidget *parent=0, const char *name=0, bool popFilter=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createFilter</name>
      <anchor>a1</anchor>
      <arglist>(const QCString &amp;field, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadFilterList</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showLaterMsgs</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelected</name>
      <anchor>j0</anchor>
      <arglist>(int aIdx)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNew</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDelete</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUp</name>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDown</name>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRename</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; KMFilter &gt;</type>
      <name>mFilterList</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QListBox *</type>
      <name>mListBox</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mBtnNew</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mBtnDelete</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mBtnUp</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mBtnDown</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mBtnRename</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mIdxSelItem</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mShowLater</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFolder</name>
    <filename>classKMFolder.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual int</type>
      <name>updateIndex</name>
      <anchor>i0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>reallyAddMsg</name>
      <anchor>i1</anchor>
      <arglist>(KMMessage *aMsg)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>reallyAddCopyOfMsg</name>
      <anchor>i2</anchor>
      <arglist>(KMMessage *aMsg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>cleared</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>expunged</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>iconsChanged</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>nameChanged</name>
      <anchor>l4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>msgRemoved</name>
      <anchor>l5</anchor>
      <arglist>(KMFolder *, Q_UINT32 sernum)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>msgRemoved</name>
      <anchor>l6</anchor>
      <arglist>(int idx, QString msgIdMD5, QString strippedSubjMD5)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>msgRemoved</name>
      <anchor>l7</anchor>
      <arglist>(KMFolder *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>msgAdded</name>
      <anchor>l8</anchor>
      <arglist>(int idx)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>msgAdded</name>
      <anchor>l9</anchor>
      <arglist>(KMFolder *, Q_UINT32 sernum)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>msgChanged</name>
      <anchor>l10</anchor>
      <arglist>(KMFolder *, Q_UINT32 sernum, int delta)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>msgHeaderChanged</name>
      <anchor>l11</anchor>
      <arglist>(KMFolder *, int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusMsg</name>
      <anchor>l12</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>numUnreadMsgsChanged</name>
      <anchor>l13</anchor>
      <arglist>(KMFolder *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>syncRunning</name>
      <anchor>l14</anchor>
      <arglist>(KMFolder *, bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMFolder</name>
      <anchor>a0</anchor>
      <arglist>(KMFolderDir *parent=0, const QString &amp;name=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMFolderType</type>
      <name>folderType</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileName</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>location</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>indexLocation</name>
      <anchor>a5</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>subdirLocation</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMFolderDir *</type>
      <name>child</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMFolderDir *</type>
      <name>createChildFolder</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setChild</name>
      <anchor>a9</anchor>
      <arglist>(KMFolderDir *aChild)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>noContent</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setNoContent</name>
      <anchor>a11</anchor>
      <arglist>(bool aNoContent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMMessage *</type>
      <name>getMsg</name>
      <anchor>a12</anchor>
      <arglist>(int idx)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMMsgInfo *</type>
      <name>unGetMsg</name>
      <anchor>a13</anchor>
      <arglist>(int idx)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isMessage</name>
      <anchor>a14</anchor>
      <arglist>(int idx)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QCString &amp;</type>
      <name>getMsgString</name>
      <anchor>a15</anchor>
      <arglist>(int idx, QCString &amp;mDest)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual DwString</type>
      <name>getDwString</name>
      <anchor>a16</anchor>
      <arglist>(int idx)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ignoreJobsForMessage</name>
      <anchor>a17</anchor>
      <arglist>(KMMessage *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual FolderJob *</type>
      <name>createJob</name>
      <anchor>a18</anchor>
      <arglist>(KMMessage *msg, FolderJob::JobType jt=FolderJob::tGetMessage, KMFolder *folder=0, QString partSpecifier=QString::null, const AttachmentStrategy *as=0) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual FolderJob *</type>
      <name>createJob</name>
      <anchor>a19</anchor>
      <arglist>(QPtrList&lt; KMMessage &gt; &amp;msgList, const QString &amp;sets, FolderJob::JobType jt=FolderJob::tGetMessage, KMFolder *folder=0) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const KMMsgBase *</type>
      <name>getMsgBase</name>
      <anchor>a20</anchor>
      <arglist>(int idx) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KMMsgBase *</type>
      <name>getMsgBase</name>
      <anchor>a21</anchor>
      <arglist>(int idx)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KMMsgBase *</type>
      <name>operator[]</name>
      <anchor>a22</anchor>
      <arglist>(int idx) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMMsgBase *</type>
      <name>operator[]</name>
      <anchor>a23</anchor>
      <arglist>(int idx)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMMessage *</type>
      <name>take</name>
      <anchor>a24</anchor>
      <arglist>(int idx)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>take</name>
      <anchor>a25</anchor>
      <arglist>(QPtrList&lt; KMMessage &gt; msgList)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>addMsg</name>
      <anchor>a26</anchor>
      <arglist>(KMMessage *msg, int *index_return=0)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>addMsgKeepUID</name>
      <anchor>a27</anchor>
      <arglist>(KMMessage *msg, int *index_return=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitMsgAddedSignals</name>
      <anchor>a28</anchor>
      <arglist>(int idx)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canAddMsgNow</name>
      <anchor>a29</anchor>
      <arglist>(KMMessage *aMsg, int *aIndex_ret)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removeMsg</name>
      <anchor>a30</anchor>
      <arglist>(int i, bool imapQuiet=FALSE)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removeMsg</name>
      <anchor>a31</anchor>
      <arglist>(QPtrList&lt; KMMessage &gt; msgList, bool imapQuiet=FALSE)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>expungeOldMsg</name>
      <anchor>a32</anchor>
      <arglist>(int days)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>moveMsg</name>
      <anchor>a33</anchor>
      <arglist>(KMMessage *msg, int *index_return=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>moveMsg</name>
      <anchor>a34</anchor>
      <arglist>(QPtrList&lt; KMMessage &gt;, int *index_return=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>find</name>
      <anchor>a35</anchor>
      <arglist>(const KMMsgBase *msg) const=0</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>find</name>
      <anchor>a36</anchor>
      <arglist>(const KMMessage *msg) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>count</name>
      <anchor>a37</anchor>
      <arglist>(bool cache=false) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>countUnread</name>
      <anchor>a38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>countUnreadRecursive</name>
      <anchor>a39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>msgStatusChanged</name>
      <anchor>a40</anchor>
      <arglist>(const KMMsgStatus oldStatus, const KMMsgStatus newStatus, int idx)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>open</name>
      <anchor>a41</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>canAccess</name>
      <anchor>a42</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>close</name>
      <anchor>a43</anchor>
      <arglist>(bool force=FALSE)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>sync</name>
      <anchor>a44</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpened</name>
      <anchor>a45</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>markNewAsUnread</name>
      <anchor>a46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>markUnreadAsRead</name>
      <anchor>a47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>create</name>
      <anchor>a48</anchor>
      <arglist>(bool imap=FALSE)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>remove</name>
      <anchor>a49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>expunge</name>
      <anchor>a50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>compact</name>
      <anchor>a51</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rename</name>
      <anchor>a52</anchor>
      <arglist>(const QString &amp;newName, KMFolderDir *aParent=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoCreateIndex</name>
      <anchor>a53</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setAutoCreateIndex</name>
      <anchor>a54</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>dirty</name>
      <anchor>a55</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDirty</name>
      <anchor>a56</anchor>
      <arglist>(bool f)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsCompacting</name>
      <anchor>a57</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setNeedsCompacting</name>
      <anchor>a58</anchor>
      <arglist>(bool f)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>quiet</name>
      <anchor>a59</anchor>
      <arglist>(bool beQuiet)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isReadOnly</name>
      <anchor>a60</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSystemFolder</name>
      <anchor>a61</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSystemFolder</name>
      <anchor>a62</anchor>
      <arglist>(bool itIs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>label</name>
      <anchor>a63</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLabel</name>
      <anchor>a64</anchor>
      <arglist>(const QString &amp;lbl)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>type</name>
      <anchor>a65</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QCString</type>
      <name>protocol</name>
      <anchor>a66</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasAccounts</name>
      <anchor>a67</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailingList</name>
      <anchor>a68</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMailingList</name>
      <anchor>a69</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailingListPostAddress</name>
      <anchor>a70</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mailingListPostAddress</name>
      <anchor>a71</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMailingListAdminAddress</name>
      <anchor>a72</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mailingListAdminAddress</name>
      <anchor>a73</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentity</name>
      <anchor>a74</anchor>
      <arglist>(uint identity)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>identity</name>
      <anchor>a75</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>whoField</name>
      <anchor>a76</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWhoField</name>
      <anchor>a77</anchor>
      <arglist>(const QString &amp;aWhoField)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userWhoField</name>
      <anchor>a78</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUserWhoField</name>
      <anchor>a79</anchor>
      <arglist>(const QString &amp;whoField, bool writeConfig=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>correctUnreadMsgsCount</name>
      <anchor>a80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>idString</name>
      <anchor>a81</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoExpire</name>
      <anchor>a82</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isAutoExpire</name>
      <anchor>a83</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnreadExpireAge</name>
      <anchor>a84</anchor>
      <arglist>(int age)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnreadExpireUnits</name>
      <anchor>a85</anchor>
      <arglist>(ExpireUnits units)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadExpireAge</name>
      <anchor>a86</anchor>
      <arglist>(int age)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadExpireUnits</name>
      <anchor>a87</anchor>
      <arglist>(ExpireUnits units)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getUnreadExpireAge</name>
      <anchor>a88</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getReadExpireAge</name>
      <anchor>a89</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ExpireUnits</type>
      <name>getUnreadExpireUnits</name>
      <anchor>a90</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ExpireUnits</type>
      <name>getReadExpireUnits</name>
      <anchor>a91</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>expireOldMessages</name>
      <anchor>a92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>writeIndex</name>
      <anchor>a93</anchor>
      <arglist>(bool createEmptyIndex=false)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillMsgDict</name>
      <anchor>a94</anchor>
      <arglist>(KMMsgDict *dict)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>writeMsgDict</name>
      <anchor>a95</anchor>
      <arglist>(KMMsgDict *dict=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>touchMsgDict</name>
      <anchor>a96</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendtoMsgDict</name>
      <anchor>a97</anchor>
      <arglist>(int idx=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRDict</name>
      <anchor>a98</anchor>
      <arglist>(KMMsgDictREntry *rentry)</arglist>
    </member>
    <member kind="function">
      <type>KMMsgDictREntry *</type>
      <name>rDict</name>
      <anchor>a99</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setStatus</name>
      <anchor>a100</anchor>
      <arglist>(int idx, KMMsgStatus status, bool toggle=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setStatus</name>
      <anchor>a101</anchor>
      <arglist>(QValueList&lt; int &gt; &amp;ids, KMMsgStatus status, bool toggle=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>useCustomIcons</name>
      <anchor>a102</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setUseCustomIcons</name>
      <anchor>a103</anchor>
      <arglist>(bool useCustomIcons)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>normalIconPath</name>
      <anchor>a104</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>unreadIconPath</name>
      <anchor>a105</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setIconPaths</name>
      <anchor>a106</anchor>
      <arglist>(const QString &amp;normalPath, const QString &amp;unreadPath)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeJobs</name>
      <anchor>a107</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>size_t</type>
      <name>crlf2lf</name>
      <anchor>e0</anchor>
      <arglist>(char *str, const size_t strLen)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>removeJob</name>
      <anchor>j0</anchor>
      <arglist>(QObject *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>addJob</name>
      <anchor>b0</anchor>
      <arglist>(FolderJob *) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual FolderJob *</type>
      <name>doCreateJob</name>
      <anchor>b1</anchor>
      <arglist>(KMMessage *msg, FolderJob::JobType jt, KMFolder *folder, QString partSpecifier, const AttachmentStrategy *as) const=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual FolderJob *</type>
      <name>doCreateJob</name>
      <anchor>b2</anchor>
      <arglist>(QPtrList&lt; KMMessage &gt; &amp;msgList, const QString &amp;sets, FolderJob::JobType jt, KMFolder *folder) const=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>headerOfMsgChanged</name>
      <anchor>b3</anchor>
      <arglist>(const KMMsgBase *, int idx)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QString</type>
      <name>dotEscape</name>
      <anchor>b4</anchor>
      <arglist>(const QString &amp;) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KMMessage *</type>
      <name>readMsg</name>
      <anchor>b5</anchor>
      <arglist>(int idx)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>readIndex</name>
      <anchor>b6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual int</type>
      <name>removeContents</name>
      <anchor>b7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual int</type>
      <name>expungeContents</name>
      <anchor>b8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchor>b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchor>b10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KMMsgBase *</type>
      <name>takeIndexEntry</name>
      <anchor>b11</anchor>
      <arglist>(int idx)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KMMsgInfo *</type>
      <name>setIndexEntry</name>
      <anchor>b12</anchor>
      <arglist>(int idx, KMMessage *msg)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>clearIndex</name>
      <anchor>b13</anchor>
      <arglist>(bool autoDelete=true, bool syncDict=false)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>fillDictFromIndex</name>
      <anchor>b14</anchor>
      <arglist>(KMMsgDict *dict)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>truncateIndex</name>
      <anchor>b15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>daysToExpire</name>
      <anchor>b16</anchor>
      <arglist>(int num, ExpireUnits units)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mOpenCount</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mQuiet</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mChanged</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mAutoCreateIndex</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDirty</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mFilesLocked</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mLabel</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mWhoField</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mUserWhoField</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mIsSystemFolder</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMAcctList *</type>
      <name>mAcctList</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mMailingListEnabled</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mMailingListPostingAddress</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mMailingListAdminAddress</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mIdentity</name>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mUnreadMsgs</name>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mGuessedUnreadMsgs</name>
      <anchor>p16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mTotalMsgs</name>
      <anchor>p17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mWriteConfigEnabled</name>
      <anchor>p18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>needsCompact</name>
      <anchor>p19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCompactable</name>
      <anchor>p20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mNoContent</name>
      <anchor>p21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMFolderDir *</type>
      <name>mChild</name>
      <anchor>p22</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mConvertToUtf8</name>
      <anchor>p23</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>expireMessages</name>
      <anchor>p24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>unreadExpireAge</name>
      <anchor>p25</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>readExpireAge</name>
      <anchor>p26</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ExpireUnits</type>
      <name>unreadExpireUnits</name>
      <anchor>p27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ExpireUnits</type>
      <name>readExpireUnits</name>
      <anchor>p28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMMsgDictREntry *</type>
      <name>mRDict</name>
      <anchor>p29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPtrList&lt; FolderJob &gt;</type>
      <name>mJobList</name>
      <anchor>p30</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mUseCustomIcons</name>
      <anchor>p31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mNormalIconPath</name>
      <anchor>p32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mUnreadIconPath</name>
      <anchor>p33</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QTimer *</type>
      <name>mDirtyTimer</name>
      <anchor>p34</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFolderDialog</name>
    <filename>classKMFolderDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KMFolderDialog</name>
      <anchor>a0</anchor>
      <arglist>(KMFolder *folder, KMFolderDir *aFolderDir, QWidget *parent, const QString &amp;caption, const QString &amp;name=QString::null)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchor>j0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotExpireFolder</name>
      <anchor>j1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReadExpiryUnitChanged</name>
      <anchor>j2</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUnreadExpiryUnitChanged</name>
      <anchor>j3</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotChangeIcon</name>
      <anchor>j4</anchor>
      <arglist>(QString icon)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUpdateItems</name>
      <anchor>j5</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFolderNameChanged</name>
      <anchor>j6</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>mBelongsToComboBox</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>mMailboxTypeComboBox</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>mShowSenderReceiverComboBox</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>mNameEdit</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGuardedPtr&lt; KMFolder &gt;</type>
      <name>mFolder</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGuardedPtr&lt; KMFolderDir &gt;</type>
      <name>mFolderDir</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>mNormalIconLabel</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIconButton *</type>
      <name>mNormalIconButton</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>mUnreadIconLabel</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIconButton *</type>
      <name>mUnreadIconButton</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mIconsCheckBox</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mNewMailCheckBox</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; QGuardedPtr&lt; KMFolder &gt; &gt;</type>
      <name>mFolders</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mHoldsMailingListCheckBox</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mExpireFolderCheckBox</name>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>mMailingListPostAddressEdit</name>
      <anchor>p15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>IdentityCombo *</type>
      <name>mIdentityComboBox</name>
      <anchor>p16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGroupBox *</type>
      <name>mExpireGroupBox</name>
      <anchor>p17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGroupBox *</type>
      <name>mMailboxTypeGroupBox</name>
      <anchor>p18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIntNumInput *</type>
      <name>mReadExpiryTimeNumInput</name>
      <anchor>p19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KIntNumInput *</type>
      <name>mUnreadExpiryTimeNumInput</name>
      <anchor>p20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>mReadExpiryUnitsComboBox</name>
      <anchor>p21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>mUnreadExpiryUnitsComboBox</name>
      <anchor>p22</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMFolderDir</name>
    <filename>classKMFolderDir.html</filename>
    <member kind="function">
      <type></type>
      <name>KMFolderDir</name>
      <anchor>a0</anchor>
      <arglist>(KMFolderDir *parent=0, const QString &amp;path=QString::null, KMFolderDirType=KMStandardDir)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isDir</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>reload</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>path</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMFolder *</type>
      <name>createFolder</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;folderName, bool sysFldr=FALSE, KMFolderType folderType=KMFolderTypeMbox)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMFolderNode *</type>
      <name>hasNamedFolder</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMFolderMgr *</type>
      <name>manager</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMFolderDirType</type>
      <name>type</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMFolderDirType</type>
      <name>mDirType</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMHeaders</name>
    <filename>classKMHeaders.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>workAroundQListViewLimitation</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectMessage</name>
      <anchor>i1</anchor>
      <arglist>(QListViewItem *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>highlightMessage</name>
      <anchor>i2</anchor>
      <arglist>(QListViewItem *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMB</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>msgHeaderChanged</name>
      <anchor>i4</anchor>
      <arglist>(KMFolder *folder, int msgId)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>msgChanged</name>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>folderCleared</name>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>msgAdded</name>
      <anchor>i7</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>msgRemoved</name>
      <anchor>i8</anchor>
      <arglist>(int, QString, QString)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>nextMessage</name>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectNextMessage</name>
      <anchor>i10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>prevMessage</name>
      <anchor>i11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectPrevMessage</name>
      <anchor>i12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>nextUnreadMessage</name>
      <anchor>i13</anchor>
      <arglist>(bool acceptCurrent=false)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>prevUnreadMessage</name>
      <anchor>i14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNoDrag</name>
      <anchor>i15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>resetCurrentTime</name>
      <anchor>i16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotExpandOrCollapseThread</name>
      <anchor>i17</anchor>
      <arglist>(bool expand)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotExpandOrCollapseAllThreads</name>
      <anchor>i18</anchor>
      <arglist>(bool expand)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>ensureCurrentItemVisible</name>
      <anchor>i19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchor>i20</anchor>
      <arglist>(QListViewItem *item, bool selected)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotToggleSizeColumn</name>
      <anchor>i21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setFolderInfoStatus</name>
      <anchor>i22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal" virtualness="virtual">
      <type>virtual void</type>
      <name>selected</name>
      <anchor>l0</anchor>
      <arglist>(KMMessage *)</arglist>
    </member>
    <member kind="signal" virtualness="virtual">
      <type>virtual void</type>
      <name>activated</name>
      <anchor>l1</anchor>
      <arglist>(KMMessage *)</arglist>
    </member>
    <member kind="signal" virtualness="virtual">
      <type>virtual void</type>
      <name>maybeDeleting</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMHeaders</name>
      <anchor>a0</anchor>
      <arglist>(KMMainWidget *owner, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setFolder</name>
      <anchor>a2</anchor>
      <arglist>(KMFolder *, bool jumpToFirst=false)</arglist>
    </member>
    <member kind="function">
      <type>KMFolder *</type>
      <name>folder</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>refreshNestedState</name>
      <anchor>a4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCurrentMsg</name>
      <anchor>a5</anchor>
      <arglist>(int msgId)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; QListViewItem &gt;</type>
      <name>currentThread</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setThreadStatus</name>
      <anchor>a7</anchor>
      <arglist>(KMMsgStatus status, bool toggle=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMsgRead</name>
      <anchor>a8</anchor>
      <arglist>(int msgId)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setMsgStatus</name>
      <anchor>a9</anchor>
      <arglist>(KMMsgStatus status, bool toggle=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>deleteMsg</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applyFiltersOnMsg</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>undo</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canUndo</name>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resendMsg</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMHeaderItem *</type>
      <name>prepareMove</name>
      <anchor>a15</anchor>
      <arglist>(int *contentX, int *contentY)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>finalizeMove</name>
      <anchor>a16</anchor>
      <arglist>(KMHeaderItem *item, int contentX, int contentY)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>moveMsgToFolder</name>
      <anchor>a17</anchor>
      <arglist>(KMFolder *destination)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>copyMsgToFolder</name>
      <anchor>a18</anchor>
      <arglist>(KMFolder *destination, KMMessage *aMsg=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clearSelectableAndAboutToBeDeleted</name>
      <anchor>a19</anchor>
      <arglist>(Q_UINT32 serNum)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMMessageList *</type>
      <name>selectedMsgs</name>
      <anchor>a20</anchor>
      <arglist>(bool toBeDeleted=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>indexOfGetMsg</name>
      <anchor>a21</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>KMMainWidget *</type>
      <name>owner</name>
      <anchor>a22</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const KPaintInfo *</type>
      <name>paintInfo</name>
      <anchor>a23</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchor>a24</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readColorConfig</name>
      <anchor>a25</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reset</name>
      <anchor>a26</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showNewMail</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMMessage *</type>
      <name>currentMsg</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KMHeaderItem *</type>
      <name>currentHeaderItem</name>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentItemIndex</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCurrentItemByIndex</name>
      <anchor>a31</anchor>
      <arglist>(int msgIdx)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>topItemIndex</name>
      <anchor>a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setTopItemByIndex</name>
      <anchor>a33</anchor>
      <arglist>(int aMsgIdx)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setNestedOverride</name>
      <anchor>a34</anchor>
      <arglist>(bool override)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSubjectThreading</name>
      <anchor>a35</anchor>
      <arglist>(bool subjThreading)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOpen</name>
      <anchor>a36</anchor>
      <arglist>(QListViewItem *, bool)</arglist>
    </member>
    <member kind="function">
      <type>NestingPolicy</type>
      <name>getNestingPolicy</name>
      <anchor>a37</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isThreaded</name>
      <anchor>a38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>findUnread</name>
      <anchor>a39</anchor>
      <arglist>(bool findNext, int startAt=-1, bool onlyNew=false, bool acceptCurrent=false)</arglist>
    </member>
    <member kind="function">
      <type>LoopOnGotoUnreadValue</type>
      <name>loopOnGotoUnread</name>
      <anchor>a40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>highlightMessage</name>
      <anchor>a41</anchor>
      <arglist>(QListViewItem *, bool markitread)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eventFilter</name>
      <anchor>a42</anchor>
      <arglist>(QObject *o, QEvent *e)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>fancyDate</name>
      <anchor>e0</anchor>
      <arglist>(time_t otime)</arglist>
    </member>
    <member kind="variable">
      <type>QFont</type>
      <name>dateFont</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>noRepaint</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>moveSelectedToFolder</name>
      <anchor>j0</anchor>
      <arglist>(int menuId)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>copySelectedToFolder</name>
      <anchor>j1</anchor>
      <arglist>(int menuId)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>slotFilterMsg</name>
      <anchor>j2</anchor>
      <arglist>(KMMessage *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>dirtySortOrder</name>
      <anchor>j3</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rightButtonPressed</name>
      <anchor>j4</anchor>
      <arglist>(QListViewItem *, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>event</name>
      <anchor>b0</anchor>
      <arglist>(QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paintEmptyArea</name>
      <anchor>b1</anchor>
      <arglist>(QPainter *p, const QRect &amp;rect)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>makeHeaderVisible</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>findUnreadAux</name>
      <anchor>b3</anchor>
      <arglist>(KMHeaderItem *&amp;, bool &amp;, bool, bool)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>firstSelectedMsg</name>
      <anchor>b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>readFolderConfig</name>
      <anchor>b5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>writeFolderConfig</name>
      <anchor>b6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchor>b7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMousePressEvent</name>
      <anchor>b8</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseReleaseEvent</name>
      <anchor>b9</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressEvent</name>
      <anchor>b10</anchor>
      <arglist>(QKeyEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setSorting</name>
      <anchor>b11</anchor>
      <arglist>(int column, bool ascending=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>contentsMouseMoveEvent</name>
      <anchor>b12</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>styleChange</name>
      <anchor>b13</anchor>
      <arglist>(QStyle &amp;oldStyle)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setStyleDependantFrameWidth</name>
      <anchor>b14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixNew</name>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixUns</name>
      <anchor>t1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixDel</name>
      <anchor>t2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixRead</name>
      <anchor>t3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixRep</name>
      <anchor>t4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixSent</name>
      <anchor>t5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixQueued</name>
      <anchor>t6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixFwd</name>
      <anchor>t7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixFlag</name>
      <anchor>t8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixWatched</name>
      <anchor>t9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixIgnored</name>
      <anchor>t10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixSpam</name>
      <anchor>t11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixHam</name>
      <anchor>t12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixFullySigned</name>
      <anchor>t13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixPartiallySigned</name>
      <anchor>t14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixUndefinedSigned</name>
      <anchor>t15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixFullyEncrypted</name>
      <anchor>t16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixPartiallyEncrypted</name>
      <anchor>t17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixUndefinedEncrypted</name>
      <anchor>t18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixFiller</name>
      <anchor>t19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixEncryptionProblematic</name>
      <anchor>t20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>QPixmap *</type>
      <name>pixSignatureProblematic</name>
      <anchor>t21</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMIdentity</name>
    <filename>classKMIdentity.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; KMIdentity &gt;</type>
      <name>List</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a0</anchor>
      <arglist>(const KMIdentity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchor>a1</anchor>
      <arglist>(const KMIdentity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchor>a2</anchor>
      <arglist>(const KMIdentity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;</name>
      <anchor>a3</anchor>
      <arglist>(const KMIdentity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;=</name>
      <anchor>a4</anchor>
      <arglist>(const KMIdentity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;=</name>
      <anchor>a5</anchor>
      <arglist>(const KMIdentity &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMIdentity</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;id=QString::null, const QString &amp;realName=QString::null, const QString &amp;emailAddr=QString::null, const QString &amp;organization=QString::null, const QString &amp;replyToAddress=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMIdentity</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mailingAllowed</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identityName</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentityName</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefault</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>uoid</name>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFullName</name>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>organization</name>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrganization</name>
      <anchor>a16</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>pgpIdentity</name>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPgpIdentity</name>
      <anchor>a18</anchor>
      <arglist>(const QCString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>emailAddr</name>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmailAddr</name>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>vCardFile</name>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVCardFile</name>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullEmailAddr</name>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>replyToAddr</name>
      <anchor>a24</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplyToAddr</name>
      <anchor>a25</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>bcc</name>
      <anchor>a26</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBcc</name>
      <anchor>a27</anchor>
      <arglist>(const QString &amp;aBcc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignature</name>
      <anchor>a28</anchor>
      <arglist>(const Signature &amp;sig)</arglist>
    </member>
    <member kind="function">
      <type>Signature &amp;</type>
      <name>signature</name>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>signatureText</name>
      <anchor>a30</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>transport</name>
      <anchor>a31</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTransport</name>
      <anchor>a32</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fcc</name>
      <anchor>a33</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFcc</name>
      <anchor>a34</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>drafts</name>
      <anchor>a35</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrafts</name>
      <anchor>a36</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dictionary</name>
      <anchor>a37</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDictionary</name>
      <anchor>a38</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchor>a39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" static="yes">
      <type>KMIdentity</type>
      <name>null</name>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchor>b0</anchor>
      <arglist>(const KConfigBase *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>b1</anchor>
      <arglist>(KConfigBase *) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIsDefault</name>
      <anchor>b2</anchor>
      <arglist>(bool flag)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setUoid</name>
      <anchor>b3</anchor>
      <arglist>(uint aUoid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsCommand</name>
      <anchor>b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsPlainFile</name>
      <anchor>b5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsInline</name>
      <anchor>b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>signatureFile</name>
      <anchor>b7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSignatureFile</name>
      <anchor>b8</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>signatureInlineText</name>
      <anchor>b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSignatureInlineText</name>
      <anchor>b10</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>useSignatureFile</name>
      <anchor>b11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mUoid</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mIdentity</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mFullName</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mEmailAddr</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mOrganization</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mReplyToAddr</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mBcc</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mVCardFile</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mPgpIdentity</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mFcc</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDrafts</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mTransport</name>
      <anchor>p11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDictionary</name>
      <anchor>p12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Signature</type>
      <name>mSignature</name>
      <anchor>p13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mIsDefault</name>
      <anchor>p14</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>n0</anchor>
      <arglist>(QDataStream &amp;stream, const KMIdentity &amp;ident)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>n1</anchor>
      <arglist>(QDataStream &amp;stream, KMIdentity &amp;ident)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMLittleProgressDlg</name>
    <filename>classKMLittleProgressDlg.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotEnable</name>
      <anchor>i0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotJustPercent</name>
      <anchor>i1</anchor>
      <arglist>(unsigned long)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClean</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSetSSL</name>
      <anchor>i3</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMLittleProgressDlg</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, bool button=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setMode</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchor>b1</anchor>
      <arglist>(QObject *, QEvent *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KProgress *</type>
      <name>m_pProgressBar</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>m_pLabel</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SSLLabel *</type>
      <name>m_sslLabel</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>m_pButton</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mode</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bShowButton</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QBoxLayout *</type>
      <name>box</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QWidgetStack *</type>
      <name>stack</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMMenuCommand</name>
    <filename>classKMMenuCommand.html</filename>
    <member kind="function" static="yes">
      <type>QPopupMenu *</type>
      <name>folderToPopupMenu</name>
      <anchor>e0</anchor>
      <arglist>(bool move, QObject *receiver, KMMenuToFolder *aMenuToFolder, QPopupMenu *menu)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QPopupMenu *</type>
      <name>makeFolderMenu</name>
      <anchor>e1</anchor>
      <arglist>(KMFolderNode *item, bool move, QObject *receiver, KMMenuToFolder *aMenuToFolder, QPopupMenu *menu)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMMsgPartDialog</name>
    <filename>classKMMsgPartDialog.html</filename>
    <member kind="enumeration">
      <name>Encoding</name>
      <anchor>w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMMsgPartDialog</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;caption=QString::null, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mimeType</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMimeType</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;type, const QString &amp;subtype)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMimeType</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;mimeType)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMimeTypeList</name>
      <anchor>a5</anchor>
      <arglist>(const QStringList &amp;mimeTypes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSize</name>
      <anchor>a6</anchor>
      <arglist>(KIO::filesize_t size, bool estimated=false)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFileName</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescription</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;description)</arglist>
    </member>
    <member kind="function">
      <type>Encoding</type>
      <name>encoding</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncoding</name>
      <anchor>a12</anchor>
      <arglist>(Encoding encoding)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShownEncodings</name>
      <anchor>a13</anchor>
      <arglist>(int encodings)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInline</name>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInline</name>
      <anchor>a15</anchor>
      <arglist>(bool inlined)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEncrypted</name>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncrypted</name>
      <anchor>a17</anchor>
      <arglist>(bool encrypted)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchor>a18</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSigned</name>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSigned</name>
      <anchor>a20</anchor>
      <arglist>(bool sign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchor>a21</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMimeTypeChanged</name>
      <anchor>j0</anchor>
      <arglist>(const QString &amp;mimeType)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KComboBox *</type>
      <name>mMimeType</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>mIcon</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>mSize</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>mFileName</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLineEdit *</type>
      <name>mDescription</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>mEncoding</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mInline</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mEncrypted</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>mSigned</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>mI18nizedEncodings</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mReadOnly</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMMsgPartDialogCompat</name>
    <filename>classKMMsgPartDialogCompat.html</filename>
    <base>KMMsgPartDialog</base>
    <member kind="function">
      <type></type>
      <name>KMMsgPartDialogCompat</name>
      <anchor>a0</anchor>
      <arglist>(const char *caption=0, bool=FALSE)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMsgPart</name>
      <anchor>a2</anchor>
      <arglist>(KMMessagePart *msgPart)</arglist>
    </member>
    <member kind="function">
      <type>KMMessagePart *</type>
      <name>msgPart</name>
      <anchor>a3</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>applyChanges</name>
      <anchor>b0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMMessagePart *</type>
      <name>mMsgPart</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMPopHeadersView</name>
    <filename>classKMPopHeadersView.html</filename>
    <member kind="function">
      <type></type>
      <name>KMPopHeadersView</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *aParent=0, KMPopFilterCnfrmDlg *aDialog=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const KMPopFilterAction</type>
      <name>mapToAction</name>
      <anchor>e0</anchor>
      <arglist>(int aColumn)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const int</type>
      <name>mapToColumn</name>
      <anchor>e1</anchor>
      <arglist>(KMPopFilterAction aAction)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>mUnchecked</name>
      <anchor>s0</anchor>
      <arglist>[26]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>mChecked</name>
      <anchor>s1</anchor>
      <arglist>[26]</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPressed</name>
      <anchor>j0</anchor>
      <arglist>(QListViewItem *aItem, const QPoint &amp;aPoint, int aColumn)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>keyPressEvent</name>
      <anchor>b0</anchor>
      <arglist>(QKeyEvent *k)</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>const char *</type>
      <name>mLater</name>
      <anchor>t0</anchor>
      <arglist>[25]</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>const char *</type>
      <name>mDown</name>
      <anchor>t1</anchor>
      <arglist>[20]</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>const char *</type>
      <name>mDel</name>
      <anchor>t2</anchor>
      <arglist>[19]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMSearchPattern</name>
    <filename>classKMSearchPattern.html</filename>
    <member kind="enumeration">
      <name>Operator</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMSearchPattern</name>
      <anchor>a0</anchor>
      <arglist>(const KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMSearchPattern</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matches</name>
      <anchor>a2</anchor>
      <arglist>(const KMMessage *msg) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matches</name>
      <anchor>a3</anchor>
      <arglist>(const DwString &amp;str) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matches</name>
      <anchor>a4</anchor>
      <arglist>(Q_UINT32 sernum) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>requiresBody</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>purify</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchor>a7</anchor>
      <arglist>(const KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a8</anchor>
      <arglist>(KConfig *config) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;newName)</arglist>
    </member>
    <member kind="function">
      <type>KMSearchPattern::Operator</type>
      <name>op</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOp</name>
      <anchor>a12</anchor>
      <arglist>(KMSearchPattern::Operator aOp)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>asString</name>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KMSearchPattern &amp;</type>
      <name>operator=</name>
      <anchor>a14</anchor>
      <arglist>(const KMSearchPattern &amp;aPattern)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMSearchPatternEdit</name>
    <filename>classKMSearchPatternEdit.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>maybeNameChanged</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMSearchPatternEdit</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool headersOnly=false, bool absoluteDates=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMSearchPatternEdit</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;title, QWidget *parent=0, const char *name=0, bool headersOnly=false, bool absoluteDates=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSearchPattern</name>
      <anchor>a3</anchor>
      <arglist>(KMSearchPattern *aPattern)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateSearchPattern</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMSearchRule</name>
    <filename>classKMSearchRule.html</filename>
    <member kind="enumeration">
      <name>Function</name>
      <anchor>w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMSearchRule</name>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;field=0, Function=FuncContains, const QString &amp;contents=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMSearchRule</name>
      <anchor>a1</anchor>
      <arglist>(const KMSearchRule &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>const KMSearchRule &amp;</type>
      <name>operator=</name>
      <anchor>a2</anchor>
      <arglist>(const KMSearchRule &amp;other)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>matches</name>
      <anchor>a4</anchor>
      <arglist>(const KMMessage *msg) const=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>matches</name>
      <anchor>a5</anchor>
      <arglist>(const DwString &amp;str, KMMessage &amp;msg, const DwBoyerMoore *headerField=0, int headerLen=-1) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a6</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>requiresBody</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>a8</anchor>
      <arglist>(KConfig *config, int aIdx) const </arglist>
    </member>
    <member kind="function">
      <type>Function</type>
      <name>function</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFunction</name>
      <anchor>a10</anchor>
      <arglist>(Function aFunction)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>field</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setField</name>
      <anchor>a12</anchor>
      <arglist>(const QCString &amp;field)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>contents</name>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContents</name>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;aContents)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>asString</name>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>KMSearchRule *</type>
      <name>createInstance</name>
      <anchor>e0</anchor>
      <arglist>(const QCString &amp;field=0, Function function=FuncContains, const QString &amp;contents=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>KMSearchRule *</type>
      <name>createInstance</name>
      <anchor>e1</anchor>
      <arglist>(const QCString &amp;field, const char *function, const QString &amp;contents)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>KMSearchRule *</type>
      <name>createInstance</name>
      <anchor>e2</anchor>
      <arglist>(const KMSearchRule &amp;other)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>KMSearchRule *</type>
      <name>createInstanceFromConfig</name>
      <anchor>e3</anchor>
      <arglist>(const KConfig *config, int aIdx)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMSearchRuleNumerical</name>
    <filename>classKMSearchRuleNumerical.html</filename>
    <base>KMSearchRule</base>
    <member kind="function">
      <type></type>
      <name>KMSearchRuleNumerical</name>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;field=0, Function function=FuncContains, const QString &amp;contents=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>matches</name>
      <anchor>a2</anchor>
      <arglist>(const KMMessage *msg) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matchesInternal</name>
      <anchor>a3</anchor>
      <arglist>(unsigned long numericalValue, unsigned long numericalMsgContents, const QString &amp;msgContents) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMSearchRuleStatus</name>
    <filename>classKMSearchRuleStatus.html</filename>
    <base>KMSearchRule</base>
    <member kind="function">
      <type></type>
      <name>KMSearchRuleStatus</name>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;field=0, Function function=FuncContains, const QString &amp;contents=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>matches</name>
      <anchor>a2</anchor>
      <arglist>(const KMMessage *msg) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>matches</name>
      <anchor>a3</anchor>
      <arglist>(const DwString &amp;, KMMessage &amp;, const DwBoyerMoore *, int) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMSearchRuleString</name>
    <filename>classKMSearchRuleString.html</filename>
    <base>KMSearchRule</base>
    <member kind="function">
      <type></type>
      <name>KMSearchRuleString</name>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;field=0, Function function=FuncContains, const QString &amp;contents=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMSearchRuleString</name>
      <anchor>a1</anchor>
      <arglist>(const KMSearchRuleString &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>const KMSearchRuleString &amp;</type>
      <name>operator=</name>
      <anchor>a2</anchor>
      <arglist>(const KMSearchRuleString &amp;other)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEmpty</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>requiresBody</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>matches</name>
      <anchor>a6</anchor>
      <arglist>(const KMMessage *msg) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>matches</name>
      <anchor>a7</anchor>
      <arglist>(const DwString &amp;str, KMMessage &amp;msg, const DwBoyerMoore *headerField=0, int headerLen=-1) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matchesInternal</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;msgContents) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMSearchRuleWidget</name>
    <filename>classKMSearchRuleWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>fieldChanged</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>contentsChanged</name>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMSearchRuleWidget</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, KMSearchRule *aRule=0, const char *name=0, bool headersOnly=false, bool absoluteDates=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRule</name>
      <anchor>a1</anchor>
      <arglist>(KMSearchRule *aRule)</arglist>
    </member>
    <member kind="function">
      <type>KMSearchRule *</type>
      <name>rule</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>editRegExp</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>functionChanged</name>
      <anchor>j1</anchor>
      <arglist>(int which)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRuleChanged</name>
      <anchor>j2</anchor>
      <arglist>(int which)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>indexOfRuleField</name>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;aName) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>indexOfStatus</name>
      <anchor>b1</anchor>
      <arglist>(const QString &amp;aStatus) const </arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>QCString</type>
      <name>ruleFieldToEnglish</name>
      <anchor>f0</anchor>
      <arglist>(const QString &amp;i18nVal)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>QCString</type>
      <name>statusToEnglish</name>
      <anchor>f1</anchor>
      <arglist>(const QString &amp;i18nVal)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMSystemTray</name>
    <filename>classKMSystemTray.html</filename>
    <member kind="function">
      <type></type>
      <name>KMSystemTray</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMSystemTray</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMode</name>
      <anchor>a2</anchor>
      <arglist>(int mode)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mousePressEvent</name>
      <anchor>b0</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>mainWindowIsOnCurrentDesktop</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showKMail</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>hideKMail</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>buildPopupMenu</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateCount</name>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>prettyName</name>
      <anchor>b6</anchor>
      <arglist>(KMFolder *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KMMainWidget *</type>
      <name>getKMMainWidget</name>
      <anchor>b7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMTopLevelWidget</name>
    <filename>classKMTopLevelWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>KMTopLevelWidget</name>
      <anchor>a0</anchor>
      <arglist>(const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>closeEvent</name>
      <anchor>b0</anchor>
      <arglist>(QCloseEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Signature</name>
    <filename>classSignature.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a0</anchor>
      <arglist>(const Signature &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;url, bool isExecutable)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>rawText</name>
      <anchor>a4</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>withSeparator</name>
      <anchor>a5</anchor>
      <arglist>(bool *ok=0) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUrl</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;url, bool isExecutable=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeConfig</name>
      <anchor>b0</anchor>
      <arglist>(KConfigBase *config) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchor>b1</anchor>
      <arglist>(const KConfigBase *config)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Type</type>
      <name>type</name>
      <anchor>b2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>url</name>
      <anchor>b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>text</name>
      <anchor>b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mUrl</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mText</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Type</type>
      <name>mType</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>n0</anchor>
      <arglist>(QDataStream &amp;stream, const Signature &amp;sig)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>n1</anchor>
      <arglist>(QDataStream &amp;stream, Signature &amp;sig)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KBusyPtr</name>
    <filename>namespaceKBusyPtr.html</filename>
    <member kind="function">
      <type>KCursorSaver</type>
      <name>idle</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCursorSaver</type>
      <name>busy</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KMail</name>
    <filename>namespaceKMail.html</filename>
    <class kind="struct">KMail::CachedImapJob::MsgForDownload</class>
    <class kind="class">KMail::DictionaryComboBox</class>
    <class kind="class">KMail::HeaderStyle</class>
    <class kind="class">KMail::HtmlStatusBar</class>
    <class kind="class">KMail::IdentityDrag</class>
    <class kind="class">KMail::IdentityListViewItem</class>
    <class kind="class">KMail::IdentityListView</class>
    <class kind="struct">KMail::ImapAccountBase::jobData</class>
    <class kind="class">KMail::HtmlWriter</class>
    <class kind="class">KMail::URLHandler</class>
    <class kind="class">KMail::TeeHtmlWriter</class>
    <class kind="class">KMail::TransportManager</class>
    <class kind="class">KMail::UndoInfo</class>
    <class kind="class">KMail::URLHandlerManager</class>
    <member kind="function" static="yes">
      <type>void</type>
      <name>renameChildFolders</name>
      <anchor>a27</anchor>
      <arglist>(KMFolderDir *dir, const QString &amp;oldPath, const QString &amp;newPath)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QColor</type>
      <name>darker</name>
      <anchor>a28</anchor>
      <arglist>(const QColor &amp;c)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QColor</type>
      <name>desaturate</name>
      <anchor>a29</anchor>
      <arglist>(const QColor &amp;c)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QColor</type>
      <name>fixValue</name>
      <anchor>a30</anchor>
      <arglist>(const QColor &amp;c, int newV)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>getValueOf</name>
      <anchor>a31</anchor>
      <arglist>(const QColor &amp;c)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>pointsToPixel</name>
      <anchor>a32</anchor>
      <arglist>(const QPaintDeviceMetrics &amp;metrics, int pointSize)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QStringList</type>
      <name>stringList</name>
      <anchor>a33</anchor>
      <arglist>(const char *headers[], int numHeaders)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>directionOf</name>
      <anchor>a34</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>strToHtml</name>
      <anchor>a35</anchor>
      <arglist>(const QString &amp;str, bool preserveBlanks=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkConfigUpdates</name>
      <anchor>a36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lockOrDie</name>
      <anchor>a37</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertLibraryCatalogues</name>
      <anchor>a38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cleanup</name>
      <anchor>a39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>dotstuff</name>
      <anchor>a40</anchor>
      <arglist>(QString s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>KURL</type>
      <name>findUrlForAccount</name>
      <anchor>a41</anchor>
      <arglist>(const KMail::ImapAccountBase *a)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const about_data</type>
      <name>authors</name>
      <anchor>a0</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const about_data</type>
      <name>credits</name>
      <anchor>a1</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const AttachmentStrategy *</type>
      <name>iconicStrategy</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const AttachmentStrategy *</type>
      <name>smartStrategy</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const AttachmentStrategy *</type>
      <name>inlinedStrategy</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const AttachmentStrategy *</type>
      <name>hiddenStrategy</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>briefHeaders</name>
      <anchor>a6</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const int</type>
      <name>numBriefHeaders</name>
      <anchor>a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>standardHeaders</name>
      <anchor>a8</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const int</type>
      <name>numStandardHeaders</name>
      <anchor>a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>richHeaders</name>
      <anchor>a10</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const int</type>
      <name>numRichHeaders</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const HeaderStrategy *</type>
      <name>allStrategy</name>
      <anchor>a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const HeaderStrategy *</type>
      <name>richStrategy</name>
      <anchor>a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const HeaderStrategy *</type>
      <name>standardStrategy</name>
      <anchor>a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const HeaderStrategy *</type>
      <name>briefStrategy</name>
      <anchor>a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const HeaderStrategy *</type>
      <name>customStrategy</name>
      <anchor>a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const HeaderStyle *</type>
      <name>briefStyle</name>
      <anchor>a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const HeaderStyle *</type>
      <name>plainStyle</name>
      <anchor>a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const HeaderStyle *</type>
      <name>fancyStyle</name>
      <anchor>a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char</type>
      <name>kmailIdentityMimeType</name>
      <anchor>a20</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const unsigned short int</type>
      <name>imapDefaultPort</name>
      <anchor>a21</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KMail::CachedImapJob::MsgForDownload</name>
    <filename>structKMail_1_1CachedImapJob_1_1MsgForDownload.html</filename>
    <member kind="function">
      <type></type>
      <name>MsgForDownload</name>
      <anchor>a1</anchor>
      <arglist>(ulong _uid, int _flags, ulong _size)</arglist>
    </member>
    <member kind="variable">
      <type>ulong</type>
      <name>uid</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>flags</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ulong</type>
      <name>size</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KMail::CachedImapJob::MsgForDownload</name>
    <filename>structKMail_1_1CachedImapJob_1_1MsgForDownload.html</filename>
    <member kind="function">
      <type></type>
      <name>MsgForDownload</name>
      <anchor>a1</anchor>
      <arglist>(ulong _uid, int _flags, ulong _size)</arglist>
    </member>
    <member kind="variable">
      <type>ulong</type>
      <name>uid</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>flags</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ulong</type>
      <name>size</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::DictionaryComboBox</name>
    <filename>classKMail_1_1DictionaryComboBox.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dictionaryChanged</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;dictionary)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dictionaryChanged</name>
      <anchor>l1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DictionaryComboBox</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentDictionaryName</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentDictionary</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentByDictionaryName</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;dictionaryName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentByDictionary</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;dictionary)</arglist>
    </member>
    <member kind="function">
      <type>KSpellConfig *</type>
      <name>spellConfig</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDictionaryChanged</name>
      <anchor>j0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadCombo</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>mDictionaries</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KSpellConfig *</type>
      <name>mSpellConfig</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mDefaultDictionary</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::HeaderStyle</name>
    <filename>classKMail_1_1HeaderStyle.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual const char *</type>
      <name>name</name>
      <anchor>a0</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const HeaderStyle *</type>
      <name>next</name>
      <anchor>a1</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const HeaderStyle *</type>
      <name>prev</name>
      <anchor>a2</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>format</name>
      <anchor>a3</anchor>
      <arglist>(const KMMessage *message, const KMail::HeaderStrategy *strategy, const QString &amp;vCardName, bool printing=false) const=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const HeaderStyle *</type>
      <name>create</name>
      <anchor>e0</anchor>
      <arglist>(Type type)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const HeaderStyle *</type>
      <name>create</name>
      <anchor>e1</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const HeaderStyle *</type>
      <name>brief</name>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const HeaderStyle *</type>
      <name>plain</name>
      <anchor>e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const HeaderStyle *</type>
      <name>fancy</name>
      <anchor>e4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::HtmlStatusBar</name>
    <filename>classKMail_1_1HtmlStatusBar.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setHtmlMode</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setNormalMode</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setNeutralMode</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setMode</name>
      <anchor>i3</anchor>
      <arglist>(Mode m)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HtmlStatusBar</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type>Mode</type>
      <name>mode</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHtml</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNormal</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNeutral</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::IdentityDrag</name>
    <filename>classKMail_1_1IdentityDrag.html</filename>
    <member kind="function">
      <type></type>
      <name>IdentityDrag</name>
      <anchor>a0</anchor>
      <arglist>(const KMIdentity &amp;ident, QWidget *dragSource=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>format</name>
      <anchor>a2</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>encodedData</name>
      <anchor>a3</anchor>
      <arglist>(const char *mimetype) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>canDecode</name>
      <anchor>e0</anchor>
      <arglist>(const QMimeSource *e)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>decode</name>
      <anchor>e1</anchor>
      <arglist>(const QMimeSource *e, KMIdentity &amp;ident)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMIdentity</type>
      <name>mIdent</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::IdentityListViewItem</name>
    <filename>classKMail_1_1IdentityListViewItem.html</filename>
    <member kind="function">
      <type></type>
      <name>IdentityListViewItem</name>
      <anchor>a0</anchor>
      <arglist>(IdentityListView *parent, const KMIdentity &amp;ident)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdentityListViewItem</name>
      <anchor>a1</anchor>
      <arglist>(IdentityListView *parent, QListViewItem *after, const KMIdentity &amp;ident)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>uoid</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KMIdentity &amp;</type>
      <name>identity</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setIdentity</name>
      <anchor>a4</anchor>
      <arglist>(const KMIdentity &amp;ident)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redisplay</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mUOID</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::IdentityListView</name>
    <filename>classKMail_1_1IdentityListView.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>rename</name>
      <anchor>i0</anchor>
      <arglist>(QListViewItem *, int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdentityListView</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>acceptDrag</name>
      <anchor>b0</anchor>
      <arglist>(QDropEvent *) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDragObject *</type>
      <name>dragObject</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KMail::ImapAccountBase::jobData</name>
    <filename>structKMail_1_1ImapAccountBase_1_1jobData.html</filename>
    <member kind="function">
      <type></type>
      <name>jobData</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;_url, KMFolder *_parent=0, int _total=1, int _done=0, bool _quiet=false, bool _inboxOnly=false)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>htmlURL</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>path</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>url</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>data</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>cdata</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>items</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KMFolder *</type>
      <name>parent</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPtrList&lt; KMMessage &gt;</type>
      <name>msgList</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>total</name>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>done</name>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>offset</name>
      <anchor>o9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>inboxOnly</name>
      <anchor>o10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>quiet</name>
      <anchor>o11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>onlySubscribed</name>
      <anchor>o12</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KMail::ImapAccountBase::jobData</name>
    <filename>structKMail_1_1ImapAccountBase_1_1jobData.html</filename>
    <member kind="function">
      <type></type>
      <name>jobData</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;_url, KMFolder *_parent=0, int _total=1, int _done=0, bool _quiet=false, bool _inboxOnly=false)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>htmlURL</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>path</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>url</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>data</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>cdata</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>items</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KMFolder *</type>
      <name>parent</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPtrList&lt; KMMessage &gt;</type>
      <name>msgList</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>total</name>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>done</name>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>offset</name>
      <anchor>o9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>inboxOnly</name>
      <anchor>o10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>quiet</name>
      <anchor>o11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>onlySubscribed</name>
      <anchor>o12</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::HtmlWriter</name>
    <filename>classKMail_1_1HtmlWriter.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>begin</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;cssDefinitions)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>end</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>reset</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>write</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;str)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>queue</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;str)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>flush</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::URLHandler</name>
    <filename>classKMail_1_1URLHandler.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>handleClick</name>
      <anchor>a1</anchor>
      <arglist>(const KURL &amp;url, KMReaderWin *w) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>handleContextMenuRequest</name>
      <anchor>a2</anchor>
      <arglist>(const KURL &amp;url, const QPoint &amp;p, KMReaderWin *w) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>statusBarMessage</name>
      <anchor>a3</anchor>
      <arglist>(const KURL &amp;url, KMReaderWin *w) const=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::TeeHtmlWriter</name>
    <filename>classKMail_1_1TeeHtmlWriter.html</filename>
    <base>KMail::HtmlWriter</base>
    <member kind="function">
      <type></type>
      <name>TeeHtmlWriter</name>
      <anchor>a0</anchor>
      <arglist>(KMail::HtmlWriter *writer1=0, KMail::HtmlWriter *writer2=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addHtmlWriter</name>
      <anchor>a2</anchor>
      <arglist>(KMail::HtmlWriter *writer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>begin</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;cssDefs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>end</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>write</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>queue</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>flush</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::TransportManager</name>
    <filename>classKMail_1_1TransportManager.html</filename>
    <member kind="function" static="yes">
      <type>QStringList</type>
      <name>transportNames</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::UndoInfo</name>
    <filename>classKMail_1_1UndoInfo.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>id</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QValueList&lt; ulong &gt;</type>
      <name>serNums</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KMFolder *</type>
      <name>srcFolder</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KMFolder *</type>
      <name>destFolder</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMail::URLHandlerManager</name>
    <filename>classKMail_1_1URLHandlerManager.html</filename>
    <member kind="function">
      <type>void</type>
      <name>registerHandler</name>
      <anchor>a1</anchor>
      <arglist>(const URLHandler *handler)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unregisterHandler</name>
      <anchor>a2</anchor>
      <arglist>(const URLHandler *handler)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleClick</name>
      <anchor>a3</anchor>
      <arglist>(const KURL &amp;url, KMReaderWin *w=0) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleContextMenuRequest</name>
      <anchor>a4</anchor>
      <arglist>(const KURL &amp;url, const QPoint &amp;p, KMReaderWin *w=0) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>statusBarMessage</name>
      <anchor>a5</anchor>
      <arglist>(const KURL &amp;url, KMReaderWin *w=0) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>URLHandlerManager *</type>
      <name>instance</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
